// ================================================
// Color Functions
// ================================================
@use "sass:string";

// Outputs hsla string with alpha set to full as default
@function hsla-str($hue, $saturation, $lightness, $alpha: 1) {
    @return string.unquote("hsla(#{$hue}, #{$saturation}, #{$lightness}, #{$alpha})");
}

// Outputs hsl string
@function hsl-str($hue, $saturation, $lightness) {
    @return string.unquote("hsl(#{$hue}, #{$saturation}, #{$lightness})");
}

// Outputs hsl string to hsla string with alpha
// e.g. hsl(0, 0%, 0%) to hsla(0, 0%, 0%, 1)
@function hsl-to-hsla($hsl-string, $alpha: 0) {
    $hsl-values: string.slice(string.unquote("#{$hsl-string}"), 5); // starts after first parens
    $alpha-index: string.length($hsl-values);

    @return string.unquote("hsla(#{string.insert("#{$hsl-values}", ", #{$alpha}", $alpha-index)}");
}
